Subject: Re: [PATCH 3/3] replay: allow to specify a ref with option --ref

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 23 Mar 2026 20:07:17 +0100

On Mon, Mar 23, 2026, at 17:09, Toon Claes wrote:
> To enable users to replay commits without having refs in
> <revision-range> or as the value for --advance and --revert, start
> accepting option --ref. When the user specifies a --ref, the refs from
> the other option are ignored, and only the ref is acted on.

s/option are/options are/

>
> Signed-off-by: Toon Claes <[email-masked]>
> ---
>[snip]
> +To replay onto a specific commit while updating a different reference:
> +
> +------------
> +$ git replay --onto 112233 --ref refs/heads/mybranch aabbcc..ddeeff
> +------------

This example could use the stuck form like in the two previous commits.

    git replay --onto=112233 --ref=refs/heads/mybranch ...

> +
> +This replays the range `aabbcc..ddeeff` onto commit `112233` and updates
> +`refs/heads/mybranch` to point at the result. This is useful when you want
> +to use bare commit IDs instead of branch names.
> +
>  NOTE: For reverting an entire merge request as a single commit (rather
> than
>[snip]